Skip to main content
`Ctrl`+`K`

# KSPPIPEFCGSetTruncationType

specify how many of its stored previous directions `KSPPIPEFCG` uses during orthogonalization

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetTruncationType(KSP ksp, KSPFCDTruncationType truncstrat)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- truncstrat - the choice of strategy

      KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to `mmax`) stored directions
      KSP_FCD_TRUNC_TYPE_NOTAY uses `max(1,mod(i,mmax))` stored directions at iteration i = 0, 1, ...

## Options Database Key

- -ksp_pipefcg_truncation_type (standard|notay) - which stored search directions to orthogonalize against

## See Also

KSP: Linear System Solvers, `KSPPIPEFCG`, `KSPPIPEFCGGetTruncationType`, `KSPFCDTruncationType`, `KSP_FCD_TRUNC_TYPE_STANDARD`, `KSP_FCD_TRUNC_TYPE_NOTAY`

## Level

intermediate

## Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages